com.h3c.of.lib.mp

## Interface MultipartBody

- All Superinterfaces:
    Structure
  All Known Implementing Classes:
    MBodyDesc, MBodyExperimenter, MBodyFlowStats, MBodyFlowStats.Array, MBodyFlowStats.MutableArray, MBodyFlowStatsRequest, MBodyGroupDescStats, MBodyGroupDescStats.Array, MBodyGroupDescStats.MutableArray, MBodyGroupFeatures, MBodyGroupStats, MBodyGroupStats.Array, MBodyGroupStats.MutableArray, MBodyGroupStatsRequest, MBodyList, MBodyMeterConfig, MBodyMeterConfig.Array, MBodyMeterConfig.MutableArray, MBodyMeterConfigRequest, MBodyMeterFeatures, MBodyMeterRequest, MBodyMeterStats, MBodyMeterStats.Array, MBodyMeterStats.MutableArray, MBodyMeterStatsRequest, MBodyMutableDesc, MBodyMutableExperimenter, MBodyMutableFlowStats, MBodyMutableFlowStatsRequest, MBodyMutableGroupDescStats, MBodyMutableGroupFeatures, MBodyMutableGroupStats, MBodyMutableGroupStatsRequest, MBodyMutableMeterConfig, MBodyMutableMeterConfigRequest, MBodyMutableMeterFeatures, MBodyMutableMeterRequest, MBodyMutableMeterStats, MBodyMutableMeterStatsRequest, MBodyMutablePortStats, MBodyMutablePortStatsRequest, MBodyMutableQueueStats, MBodyMutableQueueStatsRequest, MBodyMutableTableFeatures, MBodyMutableTableStats, MBodyPortDesc, MBodyPortDesc.Array, MBodyPortDesc.MutableArray, MBodyPortStats, MBodyPortStats.Array, MBodyPortStats.MutableArray, MBodyPortStatsRequest, MBodyQueueStats, MBodyQueueStats.Array, MBodyQueueStats.MutableArray, MBodyQueueStatsRequest, MBodyTableFeatures, MBodyTableFeatures.Array, MBodyTableFeatures.MutableArray, MBodyTableStats, MBodyTableStats.Array, MBodyTableStats.MutableArray

      public interface MultipartBody
      extends Structure

  Tag interface for classes that form the body of either `OfmMultipartRequest` or `OfmMultipartReply`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `void` | `validate()` Validates this body for completeness and throws an exception if it is considered "not complete".

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### validate

          void validate()
                        throws IncompleteStructureException

      Validates this body for completeness and throws an exception if it is considered "not complete".
      Throws:
        `IncompleteStructureException` - if the body is not complete

    - #### getTotalLength

          int getTotalLength()

      Returns the total length of the body, in bytes.
      Returns:
        the total length of the body

Copyright © 2014. All Rights Reserved.